<?php

/**
 ** Language On Register by Kaero Webs
 **
 ** @version 1.0
 **/

if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
elseif (!defined('SMF'))
	die('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

db_extend('packages');

global $smcFunc;

add_integration_function('integrate_pre_include', '$sourcedir/LORegisterHooks.php', true);
add_integration_function('integrate_general_mod_settings', 'hook_loregister_mod_settings', true);

if (SMF == 'SSI')
	echo 'Hooks successfully added!<br />';

$tables = array(
	'columns' => array('variable' => 'string', 'value' => 'string'),
	'values' => array(
		array('loregister_show', '2')
	),
	'key' => array('variable')
);

$smcFunc['db_insert']('ignore', '{db_prefix}settings', $tables['columns'], $tables['values'], $tables['key']);

if (SMF == 'SSI')
	echo 'Data successfully added!';
?>